List credit packages for top-up (API key)
curl --request GET \
--url https://api.trysnapit.com/api/v1/credits/packages \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.trysnapit.com/api/v1/credits/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trysnapit.com/api/v1/credits/packages"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Starter",
"credits": 100,
"priceCents": 1000,
"currency": "usd"
}
]{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized"
}Programmatic API
List credit packages for top-up (API key)
Returns active packages you can purchase via POST /api/v1/credits/checkout. Prices use the platform rate (credits × price per credit).
GET
/
api
/
v1
/
credits
/
packages
List credit packages for top-up (API key)
curl --request GET \
--url https://api.trysnapit.com/api/v1/credits/packages \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.trysnapit.com/api/v1/credits/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trysnapit.com/api/v1/credits/packages"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Starter",
"credits": 100,
"priceCents": 1000,
"currency": "usd"
}
]{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized"
}Authorizations
Bearer sk_live_… (include the Bearer prefix)

